#!/usr/bin/sh

#*********************************************************************************************************
#*   __     __               __     ______                __   __                      _______ _______   *
#*  |  |--.|  |.---.-..----.|  |--.|   __ \.---.-..-----.|  |_|  |--..-----..----.    |       |     __|  *
#*  |  _  ||  ||  _  ||  __||    < |    __/|  _  ||     ||   _|     ||  -__||   _|    |   -   |__     |  *
#*  |_____||__||___._||____||__|__||___|   |___._||__|__||____|__|__||_____||__|      |_______|_______|  *
#* http://www.blackpantheros.eu | http://www.blackpanther.hu - kbarcza[]blackpanther.hu * Charles Barcza *
#*************************************************************************************(c)2002-2019********

 . /etc/blackPanther-default-apps.conf

if [ `id -u` -ne 0 ]; then
  echo ""
  echo -e "$RED - This script must be run as root, exiting...$DEF"
  echo ""
  exit 1
fi

systemctl status mysqld /dev/null 2>&1
if [ $? -ne 0 ]; then
  /usr/bin/systemctl start mysqld
  /usr/bin/systemctl enable mysqld
fi

systemctl status httpd /dev/null 2>&1
if [ $? -ne 0 ]; then
  /usr/bin/systemctl start httpd
  /usr/bin/systemctl enable httpd
fi
else
  /usr/bin/systemctl reload-or-restart httpd
fi

RT_DB_USER=rackuser
RT_DB_PASS=rackpw

echo 
echo "The default DB username for RackTables is '${RT_DB_USER}'"
echo "If you want to change the username, enter a new username or just press enter"
read USER
echo "The default DB password for RackTables is '${RT_DB_PASS}'"
echo "If you want to change the username, enter a new username or just press enter"
read PASS

[ -n "${USER}" ] && RT_DB_USER="${USER}"
[ -n "${PASS}" ] && RT_DB_PASS="${PASS}"

sed -e "s/'username'/'${RT_DB_USER}'/" -e "s/'password'/'${RT_DB_PASS}'/" /usr/share/racktables/inc/secret-sample.php > /etc/racktables/secret.php
# /usr/share/racktables/inc/secret.php
#cat /usr/share/racktables/inc/secret.php > /etc/racktables/secret.php

echo -e "You need the MySQL root password to continue.  If you don't know it, ^C here and\ncome back when you have the password."
echo
echo Enter MySQL root password
mysql -uroot -p -e "
create database racktables;
grant all on racktables.* to root;
grant all on racktables.* to root@localhost;
grant all on racktables.* to ${RT_DB_USER};
grant all on racktables.* to ${RT_DB_USER}@localhost;
set password for ${RT_DB_USER}@localhost=password('${RT_DB_PASS}');
exit"
echo
echo
echo You should be able to browse to http://`hostname`/racktables
echo to complete the installation.

exit 0
